# This file created by conda-build 3.6.0+330.gd10dbde.dirty
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregateR/r-manipulatewidget-feedstock/recipe, last modified Wed Jun  6 20:55:22 2018
# ------------------------------------------------

package:
    name: r-manipulatewidget
    version: 0.9.0
source:
    fn: manipulateWidget_0.9.0.tar.gz
    sha256: 5bf4bdb702263b0e156f40f3354922a06db7db544e497addcd6c98d9860bf3a3
    url:
        - https://mran.microsoft.com/snapshot/2018-04-23/src/contrib/Archive/manipulateWidget/manipulateWidget_0.9.0.tar.gz
        - https://mran.microsoft.com/snapshot/2018-04-23/src/contrib/manipulateWidget_0.9.0.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r350h912f1d8_0
requirements:
    host:
        - _r-mutex 1.0.0 anacondar_1
        - binutils_impl_linux-32 2.28.1 hf6cdf64_3
        - binutils_linux-32 7.2.0 hf6cdf64_27
        - blas 1.0 openblas
        - bwidget 1.9.11 0
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 h8948797_3
        - curl 7.60.0 h84994c4_0
        - fontconfig 2.13.0 h9420a91_0
        - freetype 2.9.1 h8a8886c_0
        - fribidi 1.0.4 h14c3975_0
        - gcc_impl_linux-32 7.2.0 he2ea625_3
        - gcc_linux-32 7.2.0 he993a77_27
        - gfortran_impl_linux-32 7.2.0 h9268252_3
        - gfortran_linux-32 7.2.0 he993a77_27
        - glib 2.56.1 h000015b_0
        - graphite2 1.3.11 h16798f4_2
        - gsl 2.4 h14c3975_4
        - gxx_impl_linux-32 7.2.0 h9268252_3
        - gxx_linux-32 7.2.0 he993a77_27
        - harfbuzz 1.7.6 hec2c2bc_3
        - icu 58.2 he175447_1
        - jpeg 9b h29c5dd3_2
        - krb5 1.16.1 hc83ff2d_6
        - libcurl 7.60.0 h1ad7b7a_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h9268252_3
        - libgfortran-ng 7.2.0 h9268252_3
        - libopenblas 0.2.20 h9ac9557_7
        - libpng 1.6.34 hb9fc6fc_0
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 7.2.0 h9268252_3
        - libtiff 4.0.9 he85c1e1_1
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.8 h26e45fe_1
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - pango 1.42.1 h8589676_0
        - pcre 8.42 h439df22_0
        - pixman 0.34.0 h8c3645b_3
        - r-base 3.5.0 h1c2f66e_1
        - r-base64enc 0.1_3 r350hb353451_4
        - r-bh 1.66.0_1 r350h912f1d8_0
        - r-codetools 0.2_15 r350h912f1d8_0
        - r-digest 0.6.15 r350hb353451_0
        - r-evaluate 0.10.1 r350h912f1d8_0
        - r-glue 1.2.0 r350hb353451_0
        - r-highr 0.6 r350h912f1d8_0
        - r-htmltools 0.3.6 r350hebe7666_0
        - r-htmlwidgets 1.2 r350h912f1d8_0
        - r-httpuv 1.4.1 r350hebe7666_0
        - r-jsonlite 1.5 r350hb353451_0
        - r-knitr 1.20 r350h912f1d8_0
        - r-later 0.7.1 r350hebe7666_0
        - r-magrittr 1.5 r350h912f1d8_4
        - r-markdown 0.8 r350hb353451_0
        - r-mime 0.5 r350hb353451_0
        - r-miniui 0.1.1 r350h912f1d8_0
        - r-promises 1.0.1 r350hebe7666_0
        - r-r6 2.2.2 r350h912f1d8_0
        - r-rcpp 0.12.16 r350hebe7666_0
        - r-rlang 0.2.0 r350hb353451_0
        - r-shiny 1.0.5 r350h912f1d8_0
        - r-sourcetools 0.1.6 r350hebe7666_0
        - r-stringi 1.1.7 r350hebe7666_0
        - r-stringr 1.3.0 r350h912f1d8_0
        - r-xtable 1.8_2 r350h912f1d8_0
        - r-yaml 2.1.18 r350hb353451_0
        - readline 7.0 h6b4b497_4
        - tk 8.6.7 h9a736a7_3
        - tktable 2.10 h14c3975_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - r-base >=3.5.0,<3.5.1.0a0
        - r-base64enc
        - r-codetools
        - r-htmltools
        - r-htmlwidgets
        - r-knitr
        - r-miniui
        - r-shiny >=1.0.3
test:
    commands:
        - $R -e "library('manipulateWidget')"
about:
    home: https://github.com/rte-antares-rpackage/manipulateWidget
    license: GPL (>= 2) | file LICENSE
    license_family: GPL3
    summary: Like package 'manipulate' does for static graphics, this package helps
        to easily add controls like sliders, pickers, checkboxes, etc. that  can be
        used to modify the input data or the parameters of an interactive  chart created
        with package 'htmlwidgets'.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mingwandroid
